Subject: FVWM: Swallowed FBPanel only shows Icon after a resize of the Menubar

From: Philipp Kolmann <[email-masked]>
Date: Tue, 10 May 2005 15:38:51 +0200

Hi!

I would like to have the skype icon in a systray within FVWM2.

For this purpose I have installed fbpanel, which works standalone nicely.

But after swallowed, it doesn't accept the skype icon anymore.

In fvwm.rc I swallow fbpanel:
*FvwmButtons(Swallow "fbpanel" "Exec /usr/bin/fbpanel")

philipp@chief:~$ cat .fbpanel/default
Global {
edge = bottom
allign = left
margin = 3
widthtype = pixel
width = 64
heighttype = pixel
height = 32
roundcorners = false
Transparent = true
TintColor = 0xFF00FFFF
Alpha = 255
}

Plugin {
type = tray
} 

Now I have the fbpanel in my Buttons and it looks nicely. But after I start
skype and the icon gets into fbpanel the button is only gray. Only after I
resize the buttonbar the icons show up. It is not only with skype but with
every software that puts an icon in there or removes one. Only after a redraw
it works again.

Maybe someone could help me with this issue.
thanks
Philipp

-- 
If you have problems in Windows: REBOOT
If you have problems in Linux:   BE ROOT
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].